本文へ移動
Bounty Developer

GET/api/events/{slug}/ticketing/questions

「参加登録」の分類の、情報を読み出す API。ログインした本人として呼ぶ。

要約

選択イベント・チケットの設問と本人の回答

呼び方と印

ログイン

URL に付ける値(パラメータ)

経路の中の波かっこの部分と、URL の ? の後ろに付ける値。「必須」の印があるものは省けない。

  • slugpath必須string
  • expectedEventIdquery任意string(uuid)
  • expectedActorIdquery任意string(uuid)
  • codequery任意string
    /^[A-Z0-9]{8}$/
  • linkquery任意string
    /^[A-Za-z0-9_-]{1,100}$/
  • ticketIdquery必須string(uuid)

返るもの(応答)200 · application/json

成功したときに返る形。入れ子の欄は、その行を押すと開く・閉じる。「任意」の印がある欄は返らないことがある。

  • ticketIdstring
  • questionsarray<object>
    • idstring
    • refIdstring | null
    • typeenum(11)"text" "longText" "email" "url" "singleSelect" "multiSelect" "toggle" "radioButton" "date" "image" "document"
    • titlestring
    • descriptionstring | null
    • optionsarray<object>
      • idstring
      • titlestring
      • optionsarray<any>
    • requiredboolean
    • ticketIdsarray<string>
    • branchParentIdstring | null
    • conditionOptionIdsarray<string>
    • ordernumber
    • myAnswerarray<string> | null
  • unsupportedarray<object>
    • idstring
    • titlestring
    • requiredboolean
  • prefillrecord<array<string>>
  • eventIdstring(uuid)
  • actorIdstring(uuid)
  • revisionstring/^[a-f0-9]{64}$/
  • definitionHashstring/^[a-f0-9]{64}$/
  • profileobject
    • fieldsrecord<"off" | "optional" | "required">
    • initialrecord<string>
    • availableboolean
    • supportedboolean

失敗したとき(エラー)

失敗したときの状態コードと、その意味。本文の error の値で、プログラムが失敗の種類を見分けられる。

  • 400HTTP 400(x-bounty-error-codes を参照)
  • 401HTTP 401(x-bounty-error-codes を参照)
  • 403HTTP 403(x-bounty-error-codes を参照)
  • 404HTTP 404(x-bounty-error-codes を参照)
  • 409HTTP 409(x-bounty-error-codes を参照)
  • 502HTTP 502(x-bounty-error-codes を参照)
  • 503HTTP 503(x-bounty-error-codes を参照)

呼び出しの見本

そのまま試せる呼び出しの例。curl と fetch をタブで切り替える。ID やトークンは自分の値に置き換える。

curl "https://bounty.spikes.4s.link/api/events/{slug}/ticketing/questions?ticketId=00000000-0000-4000-8000-000000000000" \
  -H "Authorization: Bearer $BEARER_AUTH"
GET /api/events/{slug}/ticketing/questions | Bounty Developer